Subject: Re: [httpapi] Robert Wilton's No Objection on draft-ietf-httpapi-linkset-08: (with COMMENT)

From: Herbert Van de Sompel <[email-masked]>
Date: Tue, 8 Mar 2022 13:13:34 +0100

hi Robert,

Your comment was addressed by feedback provided below under "Response". New
I-D version at
https://github.com/ietf-wg-httpapi/linkset/blob/master/draft-ietf-httpapi-linkset-09.xml

Greetings

Herbert

====

The overriding question that I had when reading this document (and the
shepherd
writeup) is why are we defining two formats rather than one, given that
defining a single format would seem to increase interop and standardization
by
obviously forcing everyone to do it only one way.

Response: The motivation for having two formats is that one provides
compatibility with existing use of Web Linking (i.e. links in HTTP Link)
and the other caters to the massive cohort of developers that use JSON. We
expect respective communities of practice to settle on a single format,
maybe depending on whether or not they already use HTTP Link.

=====

On Mon, Feb 28, 2022 at 3:03 PM Robert Wilton via Datatracker <
[email-masked]> wrote:

> Robert Wilton has entered the following ballot position for
> draft-ietf-httpapi-linkset-08: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to
> https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-httpapi-linkset/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Hi,
>
> Thanks for this document.
>
> The overriding question that I had when reading this document (and the
> shepherd
> writeup) is why are we defining two formats rather than one, given that
> defining a single format would seem to increase interop and
> standardization by
> obviously forcing everyone to do it only one way.
>
> I appreciate that the HTTP Link Document format is simpler, and closer to
> the
> "Link" header field, although I note that it is not exactly the same - it
> still
> has differences.  I also appreciate that the HTTP Link Document format
> might be
> slightly easier for humans to read, but how important it that for a link
> document?
>
> Hence, I would prefer to see the IETF just standardizing a single format,
> but
> don't feel strongly enough to raise a discuss for it.  However, I would
> suggest
> trying to expand section 3, or adding another section, to provide more
> guidance
> as to when one format should be used in preference to the other.
>
> Regards,
> Rob
>
>
>
> --
> httpapi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/httpapi
>

-- 
==================
Herbert Van de Sompel
https://hvdsomp.info
https://orcid.org/0000-0002-0715-6126